Bug 1623026 (CVE-2018-15859) - CVE-2018-15859 libxkbcommon: NULL pointer dereference when parsing invalid atoms in ExprResolveLhs resulting in a crash
Summary: CVE-2018-15859 libxkbcommon: NULL pointer dereference when parsing invalid at...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-15859
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1623038 1643477
Blocks: 1623044
TreeView+ depends on / blocked
 
Reported: 2018-08-28 11:56 UTC by Andrej Nemec
Modified: 2019-09-29 14:57 UTC (History)
4 users (show)

Fixed In Version: libxkbcommon 0.8.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:19:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2079 None None None 2019-08-06 12:11:19 UTC

Description Andrej Nemec 2018-08-28 11:56:41 UTC
Unchecked NULL pointer usage when parsing invalid atoms in ExprResolveLhs in xkbcomp/expr.c in xkbcommon before 0.8.2 could be used by local attackers to crash (NULL pointer dereference) the xkbcommon parser by supplying a crafted keymap file, because lookup failures are mishandled.

Upstream patch:

https://github.com/xkbcommon/libxkbcommon/commit/bb4909d2d8fa6b08155e449986a478101e2b2634

References:

https://lists.freedesktop.org/archives/wayland-devel/2018-August/039243.html

Comment 3 errata-xmlrpc 2019-08-06 12:11:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2079 https://access.redhat.com/errata/RHSA-2019:2079

Comment 4 Product Security DevOps Team 2019-08-06 19:19:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-15859


Note You need to log in before you can comment on or make changes to this bug.